Skip to main content
POST
/
v1
/
video
/
generations
Create Video Generation Task
curl --request POST \
  --url https://www.anyfast.ai/v1/video/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "seedance-fast",
  "content": [
    {
      "type": "text",
      "text": "A cat playing piano in a sunlit room"
    },
    {
      "type": "image_url",
      "image_url": {
        "url": "https://example.com/reference.jpg"
      },
      "role": "reference_image"
    }
  ],
  "generate_audio": true,
  "resolution": "720p",
  "ratio": "adaptive",
  "duration": 5,
  "tools": [
    {
      "type": "web_search"
    }
  ],
  "watermark": false
}
'
{
  "id": "cgt-20260312231129-7db6s",
  "task_id": "cgt-20260312231129-7db6s",
  "object": "video",
  "model": "seedance-fast",
  "status": "",
  "progress": 0,
  "created_at": 1773328294
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

Model ID

Available options:
seedance-fast
Example:

"seedance-fast"

content
object[]
required

Input content array for video generation. Supports text, images, videos, and audio in various combinations:

  • Text only
  • Text (optional) + Image(s)
  • Text (optional) + Video(s)
  • Text (optional) + Image + Audio
  • Text (optional) + Image + Video
  • Text (optional) + Video + Audio
  • Text (optional) + Image + Video + Audio
Example:
[
  {
    "type": "text",
    "text": "A cat playing piano in a sunlit room"
  },
  {
    "type": "image_url",
    "image_url": {
      "url": "https://example.com/reference.jpg"
    },
    "role": "reference_image"
  }
]
generate_audio
boolean
default:true

Generate synchronized audio with the video.

  • true — Video includes auto-generated voice, sound effects, and background music
  • false — Silent video
resolution
enum<string>
default:720p

Output video resolution.

Available options:
480p,
720p
ratio
enum<string>
default:adaptive

Output aspect ratio. adaptive automatically selects the best ratio based on input.

Available options:
16:9,
4:3,
1:1,
3:4,
9:16,
21:9,
adaptive
duration
integer
default:5

Video duration in seconds (integer, 4–15). Set to -1 for automatic duration selection by the model.

Required range: -1 <= x <= 15
tools
object[]

Tools for the model to use. Currently supports web search (text-to-video only).

watermark
boolean
default:false

Add watermark to the generated video.

Response

Video generation task created

id
string

Task ID for polling

Example:

"cgt-20260312231129-7db6s"

task_id
string

Task ID (same as id)

Example:

"cgt-20260312231129-7db6s"

object
string
Example:

"video"

model
string
Example:

"seedance-fast"

status
string

Initially empty

Example:

""

progress
integer
Example:

0

created_at
integer

Unix timestamp

Example:

1773328294